Qt 5.7 | Qt 3D | C++ Classes | QFilterKey

Qt 5.7.1 Reference Documentation

# QFilterKey Class

(Qt3DRender::QFilterKey)

The QFilterKey class provides storage for filter keys and their values. More...

Header: | #include <QFilterKey>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | FilterKey
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString
- value : QVariant

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QFilterKey(Qt3DCore::QNode *parent = nullptr)
| ~QFilterKey()
QString | name() const
QVariant | value() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setName(const QString &customType)
void | setValue(const QVariant &value)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | nameChanged(const QString &name)
void | valueChanged(const QVariant &value)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QFilterKey class provides storage for filter keys and their values.

Filter keys are used by QTechnique and QRenderPass to specify at which stage of rendering the technique or the render pass is used.

## Property Documentation

### name : QString

Holds the name of the filter key.

Access functions:

QString | name() const
void | setName(const QString &customType)

Notifier signal:

void | nameChanged(const QString &name)

### value : QVariant

Holds the value of the filter key.

Access functions:

QVariant | value() const
void | setValue(const QVariant &value)

Notifier signal:

void | valueChanged(const QVariant &value)

## Member Function Documentation

### QFilterKey::QFilterKey(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QFilterKey.

### QFilterKey::~QFilterKey()

Destroys the instance of QFilterKey.